using System;
using System.Text;

namespace Zadaci
{
    class Program
    {
        static void Main(string[] args)
        {
            /*
            long a, b,c=0,brojac=1;
            a = int.Parse(Console.ReadLine());
            b = int.Parse(Console.ReadLine());
            while (Math.Max(a,b) != 0)
            {
                if(Math.Min(a,b) == 0) { c += Math.Max(a,b) % 10 * brojac; brojac *= 10; }
                else if (a % 10 > b % 10) { c += a % 10 * brojac; brojac *= 10; }
                else if (a % 10 < b % 10) { c += b % 10 * brojac; brojac *= 10; }
                else {c += a % 10 * brojac*10 + b % 10 * brojac; brojac *= 100; }
                a/=10;
                b/=10;
            }
            Console.WriteLine(c);
            */
            char[] a = Console.ReadLine().ToCharArray();
            char[] b = Console.ReadLine().ToCharArray();
            StringBuilder sb = new StringBuilder(0);
            int max = Math.Max(a.Length, b.Length);
            int min = Math.Min(a.Length, b.Length);
            for (int i = 0,j = -1; i < max; i++)
            {
                if (max - min - i <= 0) j++;
                if (a.Length > b.Length)
                {
                    if (j >= 0 && a[i] > b[j])
                    {
                        sb.Append(a[i]);
                    }else if (j>=0 && a[i] < b[j])
                    {
                        sb.Append(b[j]);
                    }
                    else if(j>=0 && a[i] == b[j])
                    {
                        sb.Append(a[i]);
                        sb.Append(b[j]);
                    }
                    else if (j<0) sb.Append(a[i]);
                }
                if (a.Length <= b.Length)
                {
                    if (j >= 0 && a[j] > b[i])
                    {
                        sb.Append(a[j]);
                    }
                    else if (j >= 0 && a[j] < b[i])
                    {
                        sb.Append(b[i]);
                    }
                    else if (j >= 0 && a[j] == b[i])
                    {
                        sb.Append(a[j]);
                        sb.Append(b[i]);
                    }
                    else if (j < 0) sb.Append(b[i]);
                }
            }
            Console.WriteLine(sb);
        }
    }
}